#### Previous topic

minimize_scalar(method=’brent’)

#### Next topic

minimize_scalar(method=’golden’)

# minimize_scalar(method=’bounded’)

`scipy.optimize.``minimize_scalar`(fun, bounds=None, args=(), method='bounded', tol=None, options={'disp': 0, 'maxiter': 500, 'func': None, 'xatol': 1e-05})

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize_scalar`

  Options:

  maxiter : int

  > Maximum number of iterations to perform.

  disp : bool

  > Set to True to print convergence messages.

  xatol : float

  > Absolute error in solution xopt acceptable for convergence.